/*
 * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 * Copyright 2004 Sun Microsystems, Inc.  Tous droits rservs.
 * Ce logiciel est proprit de Sun Microsystems, Inc.
 * Distribu par des licences qui en restreignent l'utilisation.
 *
 * ident        "@(#)CIBResourceOperationalStatusImpl.java 1.9     04/07/15 SMI"
 *
 */

package com.sun.mfwk.cib.sdk.states;

// jdk
import java.util.Map;
import java.util.logging.Logger;

// Jesmf sdk
import com.sun.mfwk.cib.sdk.util.CIBObjectNameMapFactory;
import com.sun.mfwk.util.log.MfLogService;

// jmx
import javax.management.MBeanServerConnection;
import javax.management.MalformedObjectNameException;
import javax.management.ObjectName;

/**
 * Provides default implementation of an operational status State provider for
 * a CIBResource.
 * This implementation is fully based on the Java-ES MF Instrumentation SDK.
 */
public class CIBResourceOperationalStatusImpl
    extends CIBOperationalStatusStateImpl {

  static final Logger logger = MfLogService.getLogger("cib-sdk");
  static final String className = "CIBResourceOperationalStatusImpl";

  /**
   * Contructor
   * @param connection MBeanServerConnection
   * @param map Map
   */
  public CIBResourceOperationalStatusImpl(MBeanServerConnection connection,
                                          Map map) {
    super(connection, map);
  }

  /**
   * Contructor
   * @param connection MBeanServerConnection
   * @param name String
   */
  public CIBResourceOperationalStatusImpl(MBeanServerConnection connection,
                                          String name) throws
      MalformedObjectNameException {
    super(connection, CIBObjectNameMapFactory.getCIBResourceStateMap(name));
  }

  /**
   * Contructor
   * @param connection MBeanServerConnection
   * @param name ObjectName
   * @throws MalformedObjectNameException
   */
  public CIBResourceOperationalStatusImpl(MBeanServerConnection connection,
                                          ObjectName name) throws
      MalformedObjectNameException {
    super(connection, CIBObjectNameMapFactory.getCIBResourceStateMap(name));
  }

}
